<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="ContasPagar" pageWidth="842" pageHeight="594" whenNoDataType="AllSectionsNoDetail" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" uuid="0fe765c5-ebf2-48a6-b870-3ee0ba3777a5">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="3.452271214393118"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="185"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="iDataInicial" class="java.lang.String"/>
	<parameter name="iDataFinal" class="java.lang.String"/>
	<queryString>
		<![CDATA[]]>
	</queryString>
	<field name="valor" class="java.lang.Double"/>
	<field name="idEmpresa" class="java.lang.String"/>
	<field name="numeroDocumento" class="java.lang.String"/>
	<field name="inclusaoBaixa" class="java.lang.Integer"/>
	<field name="nomeFornecedor" class="java.lang.String"/>
	<field name="favorecido" class="java.lang.String"/>
	<field name="observacao" class="java.lang.String"/>
	<variable name="valorTotalInclusao_Empresa" class="java.lang.Double" resetType="Group" resetGroup="empresa" calculation="Sum">
		<variableExpression><![CDATA[$F{inclusaoBaixa} == 1 ? $F{valor} : 0]]></variableExpression>
	</variable>
	<variable name="valorTotalBaixa_Empresa" class="java.lang.Double" resetType="Group" resetGroup="empresa" calculation="Sum">
		<variableExpression><![CDATA[$F{inclusaoBaixa} == 2 ? $F{valor} : 0]]></variableExpression>
	</variable>
	<variable name="valorDiferenca_Empresa" class="java.lang.Double" resetType="Group" resetGroup="empresa">
		<variableExpression><![CDATA[$V{valorTotalInclusao_Empresa} - $V{valorTotalBaixa_Empresa}]]></variableExpression>
	</variable>
	<group name="empresa" isReprintHeaderOnEachPage="true">
		<groupExpression><![CDATA[$F{idEmpresa}]]></groupExpression>
		<groupHeader>
			<band height="15" splitType="Stretch">
				<staticText>
					<reportElement uuid="bb1d8f4d-c84c-4aed-908b-0c8de6e363c6" x="0" y="0" width="55" height="13"/>
					<textElement/>
					<text><![CDATA[EMPRESA :]]></text>
				</staticText>
				<textField>
					<reportElement uuid="7f17bfdb-05b9-4bd3-af42-40eeb7f7d04a" x="55" y="0" width="350" height="13"/>
					<textElement/>
					<textFieldExpression><![CDATA[$F{idEmpresa}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement uuid="d2283444-5f0c-4595-b5ed-71467dacc33b" key="line" mode="Opaque" x="0" y="14" width="782" height="1" forecolor="#000000" backcolor="#FFFFFF"/>
					<graphicElement fill="Solid">
						<pen lineWidth="0.75" lineStyle="Solid"/>
					</graphicElement>
				</line>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="13" splitType="Stretch">
				<textField pattern="#,##0.00">
					<reportElement uuid="fd6ee8ac-c96c-47cb-ad31-61223dce8694" x="607" y="0" width="57" height="12"/>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{valorTotalInclusao_Empresa}]]></textFieldExpression>
				</textField>
				<line direction="BottomUp">
					<reportElement uuid="6dc8922f-cc4f-4adf-8cb6-a23df08521f9" x="665" y="0" width="1" height="12"/>
					<graphicElement>
						<pen lineWidth="0.75"/>
					</graphicElement>
				</line>
				<textField pattern="#,##0.00">
					<reportElement uuid="9cb76184-91dc-4228-9511-1dbed1490ddd" x="667" y="0" width="57" height="12"/>
					<textElement textAlignment="Left">
						<font size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{valorTotalBaixa_Empresa}]]></textFieldExpression>
				</textField>
				<line direction="BottomUp">
					<reportElement uuid="3428594f-bcea-4d9e-8b1c-6cc9c546d0c9" x="606" y="0" width="1" height="12"/>
					<graphicElement>
						<pen lineWidth="0.75"/>
					</graphicElement>
				</line>
				<line direction="BottomUp">
					<reportElement uuid="12b92d69-6500-4049-98de-d5580b7323a2" x="724" y="0" width="1" height="12"/>
					<graphicElement>
						<pen lineWidth="0.75"/>
					</graphicElement>
				</line>
				<line>
					<reportElement uuid="55d23a5b-874f-4619-b69b-afe58f3bf8fa" key="line" mode="Opaque" x="0" y="12" width="782" height="1" forecolor="#000000" backcolor="#FFFFFF"/>
					<graphicElement fill="Solid">
						<pen lineWidth="0.75" lineStyle="Solid"/>
					</graphicElement>
				</line>
				<line>
					<reportElement uuid="123f5477-4005-4569-8205-b5194234d9ed" x="0" y="0" width="782" height="1"/>
					<graphicElement>
						<pen lineWidth="0.75"/>
					</graphicElement>
				</line>
				<textField pattern="#,##0.00">
					<reportElement uuid="a778c7c4-2b27-472c-b57b-a18476efcf50" x="725" y="0" width="57" height="12"/>
					<textElement textAlignment="Left">
						<font size="8" isItalic="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{valorDiferenca_Empresa}]]></textFieldExpression>
				</textField>
				<line direction="BottomUp">
					<reportElement uuid="ba6d6b4f-7292-4580-a6f8-adaf1d8f900f" x="781" y="0" width="1" height="13"/>
					<graphicElement>
						<pen lineWidth="0.75"/>
					</graphicElement>
				</line>
				<line direction="BottomUp">
					<reportElement uuid="c1a4ddf1-4128-4f82-b06b-f8f761724167" x="0" y="0" width="1" height="13"/>
					<graphicElement>
						<pen lineWidth="0.75"/>
					</graphicElement>
				</line>
			</band>
		</groupFooter>
	</group>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="52" splitType="Stretch">
			<staticText>
				<reportElement uuid="bb03cc97-e614-4d39-bc24-9013b95ca56d" key="staticText" mode="Transparent" x="216" y="12" width="337" height="22" forecolor="#000000" backcolor="#FFFFFF"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="SansSerif" size="16" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica-Bold" pdfEncoding="CP1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Relatório de Inclusão/Baixa Contas a Pagar]]></text>
			</staticText>
			<textField>
				<reportElement uuid="2a3902a0-fbb3-452b-9291-5337cb40a82b" x="630" y="12" width="150" height="13"/>
				<textElement/>
				<textFieldExpression><![CDATA["Data Inicial : " + $P{iDataInicial}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="b0fda9f2-14cd-4afb-b30e-d6c832354b45" x="630" y="25" width="150" height="13"/>
				<textElement/>
				<textFieldExpression><![CDATA["Data Final : " + $P{iDataFinal}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="11" splitType="Immediate">
			<staticText>
				<reportElement uuid="87704381-6653-4078-b10b-1d8607357761" x="626" y="0" width="71" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[INCLUSÃO/BAIXA]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="ec3c8f0d-8440-486b-b139-3659db7d9a8d" x="4" y="0" width="87" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Fornecedor]]></text>
			</staticText>
			<line>
				<reportElement uuid="4833f139-ae8a-48e9-a12d-30ae48f36c35" key="line" mode="Opaque" x="0" y="10" width="782" height="1" forecolor="#000000" backcolor="#FFFFFF"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.75" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement uuid="35470a5f-7f63-49f4-8c61-b257f5c653cf" x="270" y="0" width="87" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nº Documento]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="14ffafd2-1963-4cb1-915e-40db8aa91c13" x="377" y="0" width="87" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Observação]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="13" splitType="Stretch">
			<line direction="BottomUp">
				<reportElement uuid="67566d18-b64e-477f-a202-450e3ac8c829" x="665" y="0" width="1" height="12"/>
				<graphicElement>
					<pen lineWidth="0.75"/>
				</graphicElement>
			</line>
			<textField pattern="#,##0.00">
				<reportElement uuid="0ddc368b-f462-460f-a365-6ba5c62d2a00" x="607" y="0" width="57" height="12">
					<printWhenExpression><![CDATA[$F{inclusaoBaixa} == 1]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valor}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="596ce706-4a08-40aa-b9ce-4b760f49758d" x="667" y="0" width="57" height="12">
					<printWhenExpression><![CDATA[$F{inclusaoBaixa} == 2]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valor}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="73b5a086-c804-4df1-86a1-7d9270fdec07" x="4" y="0" width="241" height="12"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nomeFornecedor}]]></textFieldExpression>
			</textField>
			<line direction="BottomUp">
				<reportElement uuid="0a14b983-e428-4109-8280-034f9acd5b31" x="606" y="0" width="1" height="12"/>
				<graphicElement>
					<pen lineWidth="0.75"/>
				</graphicElement>
			</line>
			<line direction="BottomUp">
				<reportElement uuid="539b4155-baa1-4ae3-8add-ef448390e15c" x="724" y="0" width="1" height="12"/>
				<graphicElement>
					<pen lineWidth="0.75"/>
				</graphicElement>
			</line>
			<line direction="BottomUp">
				<reportElement uuid="a0c9226d-4342-47b2-8561-ef1c3369c45d" x="781" y="0" width="1" height="12"/>
				<graphicElement>
					<pen lineWidth="0.75"/>
				</graphicElement>
			</line>
			<line direction="BottomUp">
				<reportElement uuid="166d6d14-5d80-4f22-899f-b5c1f2762a2c" x="0" y="0" width="1" height="12"/>
				<graphicElement>
					<pen lineWidth="0.75"/>
				</graphicElement>
			</line>
			<textField>
				<reportElement uuid="23ef7cec-b8fd-47ae-9e38-e54252be07ca" x="270" y="0" width="93" height="12"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{numeroDocumento}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement uuid="d924bbe8-536c-4128-842f-dcd4fdd8cdbd" x="377" y="0" width="209" height="12"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{observacao}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement uuid="7089e0f1-dded-4da4-ad61-3bd56eb4b7ce" mode="Opaque" x="0" y="12" width="782" height="1" forecolor="#999999"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="19" splitType="Stretch">
			<textField pattern="EEEEE dd MMMMM yyyy" isBlankWhenNull="false">
				<reportElement uuid="7a190bf2-45ca-46a7-9d0c-8052011bfe40" key="textField" mode="Transparent" x="0" y="0" width="209" height="19" forecolor="#000000" backcolor="#FFFFFF"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="SansSerif" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="CP1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[new Date()]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement uuid="a9beeb88-6fb7-4372-9017-39d0008effb8" key="textField" mode="Transparent" x="553" y="0" width="191" height="19" forecolor="#000000" backcolor="#FFFFFF"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="SansSerif" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="CP1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Página " + $V{PAGE_NUMBER} + " de "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement uuid="1fee09b4-fa5e-4a09-af22-ecbc8893cd01" key="textField" mode="Transparent" x="744" y="0" width="36" height="19" forecolor="#000000" backcolor="#FFFFFF"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="SansSerif" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="CP1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["" + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement uuid="2306b82e-400f-42c9-b393-d97405fd2cc0" key="line" mode="Opaque" x="0" y="0" width="782" height="1" forecolor="#000000" backcolor="#FFFFFF"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.75" lineStyle="Solid"/>
				</graphicElement>
			</line>
		</band>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
